it-swarm-ja.tech

インストールするLinuxバージョン:i386またはx64?

メンテナンスのしやすさ/ソフトウェアサポートについて話すと、Linux i386またはx64バージョンのどのバージョンがインストールされているかは重要ですか?

サーバーは明らかに64ビットですが、64ビットOSを使用すると、ソフトウェアの更新やソフトウェアのインストールを見つけるのにさらに苦労するのではないかと思います。

問題のLinuxディストリビューションはCentos5で、ハードウェアは384MBの基本的なVPSです。

7
alexeit

サーバーの場合は64ビットオペレーティングシステムを使用してください

2006年には、デバイスドライバーの取得に問題がありました。

あなたは仮想サーバーについて話しているので、確かにあなたには当てはまりません。

実行したいすべてのソフトウェアは、64ビットオペレーティングシステムで問題なく動作します

以下のリンクは、ウィキペディアページの関連セクションです http://en.wikipedia.org/wiki/64-bit

「x86-64アーキテクチャ(AMD64)では、32ビットオペレーティングシステムとアプリケーションの大部分は、64ビットハードウェアでスムーズに実行できます。」

12
Gareth

RAMが384MBしかないので、なぜ64ビットの方法を使いたいのかはっきりしていません。その量のメモリに対処するために、64ビット対応のOSは明らかに必要ありません。 64ビットを使用することでメモリ使用量が増えることもあります(1つには、すべてのポインタが32ビットではなく64ビットになっています)。 giaresuが提供するリンクで読むことができるものを除いて、64ビットOSを使用してもおそらく利益は得られません。

7

ハードウェアが64ビット対応の場合は、x86_64インストールを実行してください。パッケージ化されたソフトウェアのほとんどすべてがオープンであり、そのアーキテクチャ用にコンパイルされています。最大の問題は、以前はブラウザのバイナリプラグインでしたが、現在はJavaとFlashPlayerの両方の64ビットバージョンがあります(これはまだ少し実験的ですが)。

通常の使用では問題はありませんが、一部の(閉じた)32ビットのみのアプリケーションに依存している場合は、32ビットインストールに固執することをお勧めします。 64バージョンのほとんどのディストリビューションは32ビットモードでコンパイルされたライブラリのサブセットも提供するため、依存関係を満たすすべてのパッケージを見つけることができれば、32ビットのみのアプリケーションを実行できます(ただし、少なくともDebianではかなりです) 32ビットの.debライブラリを64ビットディストリビューションにインストール可能な互換性パッケージに簡単に変換できます)

5
Luca Tettamanti

64ビットOSを使用する際の最大の問題は、Javaアプリケーション(Javaはポインタに対応)を使用する場合のメモリの浪費です。開発者に32ビットバージョンまたは64ビットバージョンを提供することで、これを軽減できます。 Java、および問題の説明。

32ビットシステムで実行される64ビットシステムで実行されないソフトウェアを見つけることは考えられません。 RedHatは、すべてに32ビットの互換ライブラリを提供します。

4GB以上(実際には2GBまたは3GB)のRAMを割り当てる必要があるユーザーは、32ビットOSをインストールしたことを知った場合、非常に腹を立てます。壊滅的なメモリリークが発生しない限り、数百メガバイトのRAM。64ビットOSで64ビットJava)を提供したことに非常に腹を立てました-問題のあるアプリケーション(数秒のダウンタイム)ではなく、システム全体がクラッシュしました(数分のダウンタイム)。

3
carlito

32ビットバージョンでのみサポートされている商用アプリがまだいくつかあります(3月にKerio Mail Server 6.6.1をデプロイしようとしたときに発見したように-6.7.0は5月にリリースされ、64ビット互換です。だから今は大丈夫です)。 FOSSアプリ、または64ビット互換のいくつかの商用クローズドソースアプリのみを実行することを計画している場合は、それほど問題にはなりません。

1
user6622

64ビットのLinuxOSを使おうとしたときに私が見た主な問題点は、ハードウェアのドライバーサポートです。特定のハードウェアに安定した64ビットドライバーが搭載されていると仮定すると、将来のインストールの保証に役立つx64バージョンを選択すると思います。

1
Dave K

64ビットLinuxについて2つの疑問があります。 Java andFlash。私はEclipseとSQLDeveloperを定期的に使用しており、それらをセットアップするのは面倒でした。不可能でもひどいことでもありませんが、余分な作業がありました。まだ信頼できるFlashがありません。プラグインがインストールされています。

1
Trevor Bramble

相変わらず、それはあなたが達成するためにあなたのマシンが何を必要とするかという問題です。さまざまな理由で64ビットコードで必要なことを実行できない場合がありますが、64ビット環境で実行するにはAIMである必要がありますが、非常に多くのことを行う必要があります。あなたがそうするのを妨げる理由のために目を光らせて。

0
Chopper3

私は現在、64ビットバージョンのCentOS5.1を問題なく実行しています。特定の静的にコンパイルされたバイナリ(またはさらに悪いことに、プロプライエタリアプリ)がない限り、それを気にせず、64ビットにするだけです。最近のほとんどの仮想マシンでは、64ビット環境がサポートされています。

0
Avery Payne

場合によります。

他の人が述べたように、一部のアプリケーションは32ビットOSと64ビットOSでより適切に動作します。逆もまた真です。

他の人が述べているように、64ビットOSでは、PAE対応OSで可能ですが、 [〜#〜] pae [〜#〜] が有効な場合でも32ビットよりも多くのRAMアクセスが可能です一般的に多くのRAMにアクセスします。

私が見つけたのは、非常に残念なことに、チップセット/ BIOSが使用できる最大メモリに制限を課していることです。 64ビットのUbuntuを使用しても、私のシステムは3.2GBのRAMにしかアクセスできません。一部のコンシューマーアプリケーションとの互換性を高めるために、32ビットバージョンに戻ることにしました。

0
pcapademic